//--------------------
//AP112 include files
//wwlab 2011.12

//-----------------speed-----------------
extern void inb_speed();
extern void ad_speed(long n);
extern void xad();
extern void aver_for_three(long n);

//cnt parameter
#define m_crun 0//start cnt
#define m_cstop 1//stop cnt
#define m_cini 2//load buffer data to cnt

#define m_cload 4//load cnt data to buffer
#define m_tload 5//load timer data to buffer

//extern long AP112_OpenDevice(long DeviceNum);
//extern long AP112_CloseDevice(long hDevice);

//------------------cnt---------------
//stop temp cnt and restart cnt and setting cnt data
//cdata:is 24bit data from 0-ffffffh
extern long AP112_CStart(long hDevice,long cntch,long cdata);//start cnt

//read cnt
//cnt channel:cntch
//*cdata:cnt 24bit data
//*tdata:timer's 24bit data, 0.1us/LSB
//return:0 ok/=1 cnt is over
extern long AP112_CRead(long hDevice,long cntch,long *cdata,long *tdata);//read cnt

//cnt sub
extern long run_cnt(long hDevice,long cntch);//start cnt
extern long stop_cnt(long hDevice,long cntch);//stop cnt
extern long wr_cnt(long hDevice,long cntch,long cdata);//write cnt
extern long rd_cnt(long hDevice,long cntch,long *cdata,long *tdata);//read cnt

//---------------pulse out--------------
//read back state
//=1 busy / =0 out = 0
//extern long AP112_PState(long hDevice,long pch);

//set pulse out and start
//pch=0,1
//base : clk=1m
//extern long AP112_PStart(long hDevice,long pmode,long pdata0,long pdata1);

//---------------ad---------------------
//ad sub
extern long AP112_ch(long xch,long gain,long sidi);//channel set
extern long AP112_sam(long hDevice,long xch,long gain,long sidi);//ad sam
extern long AP112_AD(long hDevice,long ch,long gain,long sidi,long naver);//ad sam aver
extern long AP112_ADV(long adg,long addata);//ad voltage calculate
extern long sort(long v[],long n);//sort

//---------------da---------------------
extern long AP112_DA(long hDevice,long dach,long dag,long dadata);

//---------------DIO--------------------
extern long AP112_DI(long hDevice);//io input
extern long AP112_DO(long hDevice,long iodata);//io output


//-------------private--------------------
extern long AP112_inb(long hDevice,long adr);
extern long AP112_outb(long hDevice,long adr,long data);
