
//--------------------AP112 header file------------------------
//2011.12 by wx ,wwlab

//device
extern "C" HANDLE __declspec(dllimport) __stdcall AP112_OpenDevice(__int32 DeviceNum);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_CloseDevice(HANDLE hDevice);

//io
extern "C" __int32 __declspec(dllimport) __stdcall AP112_DI(HANDLE hDevice);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_DO(HANDLE hDevice,__int32 iodata);

//ad
//ad sample ch=0-15/gain=0-3
extern "C" __int32 __declspec(dllimport) __stdcall AP112_sam(HANDLE hDevice,__int32 xch,__int32 gain,__int32 sidi);
//ad sample with average
extern "C" __int32 __declspec(dllimport) __stdcall AP112_AD(HANDLE hDevice,__int32 ch,__int32 gain,__int32 sidi,__int32 naver);
//ad voltage
extern "C" double __declspec(dllimport) __stdcall AP112_ADV(__int32 adg,__int32 addata);
//calculate ad cal data
extern "C" __int32 __declspec(dllimport) __stdcall AP112_ADCAL(HANDLE hDevice,__int32 caldd[],__int32 n);


//da
//da convert
extern "C" __int32 __declspec(dllimport) __stdcall AP112_DA(HANDLE hDevice,__int32 dach,__int32 dag,__int32 dadata);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_DACAL(HANDLE hDevice,__int32 *caldd);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_DA_INI(HANDLE hDevice);

//RAM and EEPROM
//write ad ram
extern "C" __int32 __declspec(dllimport) __stdcall AP112_RAMW_AD(HANDLE hDevice,__int32 adr,__int32 wdata);
//write da ram
extern "C" __int32 __declspec(dllimport) __stdcall AP112_RAMW_DA(HANDLE hDevice,__int32 adr,__int32 wdata);
//write EEPROM
extern "C" __int32 __declspec(dllimport) __stdcall AP112_EEPROM_WR(HANDLE hDevice,__int32 adr,__int32 wdata);
//read EEPROM
extern "C" __int32 __declspec(dllimport) __stdcall AP112_EEPROM_RD(HANDLE hDevice,__int32 adr);

//cnt
//run or start cnt ch
extern "C" __int32 __declspec(dllimport) __stdcall AP112_CNT_Run(HANDLE hDevice,__int32 cntch,__int32 cdata);
//read data : cnt data-cdata/timer data-tdata
extern "C" __int32 __declspec(dllimport) __stdcall AP112_CNT_Read(HANDLE hDevice,__int32 cntch,__int32 *cdata,__int32 *tdata);


//pout
//prun
/*extern "C" __int32 __declspec(dllimport) __stdcall AP112_PRun(HANDLE hDevice,__int32 pch,__int32 pmode,__int32 pdata0,__int32 pdata1);
//pstate
extern "C" __int32 __declspec(dllimport) __stdcall AP112_PState(HANDLE hDevice,__int32 pch);
//stop pch and enable DO ch recover
extern "C" __int32 __declspec(dllimport) __stdcall AP112_PEnd(HANDLE hDevice,__int32 pch);
//set data for timer at timer out , for PWM only
extern "C" __int32 __declspec(dllimport) __stdcall AP112_PSetData(HANDLE hDevice,__int32 pch,__int32 pdata0,__int32 pdata1);
*/

//AP112 sub function
extern "C" __int32 __declspec(dllimport) __stdcall AP112_inb(HANDLE hDevice,__int32 adr);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_inw(HANDLE hDevice,__int32 adr);

extern "C" __int32 __declspec(dllimport) __stdcall AP112_outb(HANDLE hDevice,__int32 adr,__int32 data);
extern "C" __int32 __declspec(dllimport) __stdcall AP112_outw(HANDLE hDevice,__int32 adr,__int32 data1);
